<?php

/* -------------------------------------------------------------------------
	NTT DoCoMo i-mode capable device information for ClientDetect class
	a part of PC2M Webpage Converter for Mobile Clients
	Copyright (C) 2005 ucb@rcdtokyo.com http://www.rcdtokyo.com/pc2m/note/
	Last updated at November 25, 2005

	This file shall be updated regarding to following page
	http://www.nttdocomo.co.jp/p_s/imode/spec/

	$_dev_info = array(
		'Product name as shown in the User-Agent' => array (
			Screen width (pixels),
			Screen color (number of colors - not bit depth),
			GIF support (true or false),
			JPEG support (true or false),
			PNG support (true or false)
		)
	)
------------------------------------------------------------------------- */

$_dev_info = array(

	/* FOMA i-mode compatible HTML 3.0 */
	'N2001' => array(118, 4096, TRUE, TRUE, FALSE),

	'N2002' => array(118, 65536, TRUE, TRUE, FALSE),
	'P2002' => array(118, 65536, TRUE, TRUE, FALSE),

	'D2101V' => array(120, 262144, TRUE, TRUE, FALSE),
	'P2101V' => array(163, 262144, TRUE, TRUE, FALSE),
	'MST_v_SH2101V' => array(800, 65536, TRUE, TRUE, FALSE),
	'T2101V' => array(176, 262144, TRUE, TRUE, FALSE),

	/* FOMA i-mode compatible HTML 4.0 */
	'F2051' => array(176, 65536, TRUE, TRUE, FALSE),
	'N2051' => array(176, 65536, TRUE, TRUE, FALSE),

	'P2102V' => array(176, 262144, TRUE, TRUE, FALSE),
	'F2102V' => array(176, 65536, TRUE, TRUE, FALSE),
	'N2102V' => array(176, 65536, TRUE, TRUE, FALSE),

	'N2701' => array(176, 65536, TRUE, TRUE, FALSE),

	/* FOMA i-mode compatible HTML 5.0 */
	'F900i' => array(230, 262144, TRUE, TRUE, FALSE),
	'N900i' => array(240, 65536, TRUE, TRUE, FALSE),
	'P900i' => array(240, 65536, TRUE, TRUE, FALSE),
	'SH900i' => array(240, 262144, TRUE, TRUE, FALSE),
	'F900iT' => array(230, 262144, TRUE, TRUE, FALSE),
	'P900iV' => array(240, 262144, TRUE, TRUE, FALSE),
	'N900iS' => array(240, 65536, TRUE, TRUE, FALSE),
	'D900i' => array(240, 262144, TRUE, TRUE, FALSE),
	'F900iC' => array(230, 262144, TRUE, TRUE, FALSE),
	'N900iL' => array(240, 65536, TRUE, TRUE, FALSE),
	'N900iG' => array(240, 65536, TRUE, TRUE, FALSE),

	'F880iES' => array(240, 65536, TRUE, TRUE, FALSE),

	'SH901iC' => array(240, 262144, TRUE, TRUE, FALSE),
	'F901iC' => array(230, 262144, TRUE, TRUE, FALSE),
	'N901iC' => array(240, 65536, TRUE, TRUE, FALSE),
	'D901i' => array(230, 262144, TRUE, TRUE, FALSE),
	'P901i' => array(240, 65536, TRUE, TRUE, FALSE),
	'SH901iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'F901iS' => array(230, 262144, TRUE, TRUE, FALSE),
	'D901iS' => array(230, 262144, TRUE, TRUE, FALSE),
	'P901iS' => array(240, 65536, TRUE, TRUE, FALSE),
	'N901iS' => array(240, 65536, TRUE, TRUE, FALSE),

	'F700i' => array(230, 262144, TRUE, TRUE, FALSE),
	'SH700i' => array(240, 262144, TRUE, TRUE, FALSE),
	'N700i' => array(240, 65536, TRUE, TRUE, FALSE),
	'P700i' => array(240, 65536, TRUE, TRUE, FALSE),
	'F700iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'SH700iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'SA700iS' => array(240, 65536, TRUE, TRUE, FALSE),

	'SH851i' => array(240, 262144, TRUE, TRUE, FALSE),

	'F881iES' => array(240, 65536, TRUE, TRUE, FALSE),

	'D701i' => array(230, 65536, TRUE, TRUE, FALSE),
	'N701i' => array(240, 65536, TRUE, TRUE, FALSE),
	'P701iD' => array(240, 65536, TRUE, TRUE, FALSE),

	/* FOMA i-mode compatible HTML 6.0 */
	'F902i' => array(230, 262144, TRUE, TRUE, FALSE),
	'D902i' => array(230, 262144, TRUE, TRUE, FALSE),
	'N902i' => array(240, 262144, TRUE, TRUE, FALSE),

	/* MOVA i-mode compatible HTML 1.0 */
	'D501i' => array(96, 2, TRUE, FALSE, FALSE),
	'F501i' => array(112, 2, TRUE, FALSE, FALSE),
	'N501i' => array(118, 2, TRUE, FALSE, FALSE),
	'P501i' => array(96, 2, TRUE, FALSE, FALSE),

	/* MOVA i-mode compatible HTML 2.0 */
	'D502i' => array(96, 256, TRUE, FALSE, FALSE),
	'F502i' => array(96, 256, TRUE, FALSE, FALSE),
	'N502i' => array(118, 4, TRUE, FALSE, FALSE),
	'P502i' => array(96, 4, TRUE, FALSE, FALSE),
	'NM502i' => array(111, 2, TRUE, FALSE, FALSE),
	'SO502i' => array(120, 4, TRUE, FALSE, FALSE),
	'F502it' => array(96, 256, TRUE, FALSE, FALSE),
	'N502it' => array(118, 256, TRUE, FALSE, FALSE),
	'SO502iWM' => array(120, 256, TRUE, FALSE, FALSE),

	'SH821i' => array(96, 256, TRUE, FALSE, FALSE),
	'N821i' => array(118, 4, TRUE, FALSE, FALSE),
	'P821i' => array(118, 4, TRUE, FALSE, FALSE),

	'D209i' => array(96, 256, TRUE, FALSE, FALSE),
	'ER209i' => array(120, 2, TRUE, FALSE, FALSE),
	'F209i' => array(96, 256, TRUE, FALSE, FALSE),
	'KO209i' => array(96, 256, TRUE, FALSE, FALSE),
	'N209i' => array(108, 4, TRUE, FALSE, FALSE),
	'P209i' => array(96, 4, TRUE, FALSE, FALSE),
	'P209is' => array(96, 256, TRUE, FALSE, FALSE),
	'R209i' => array(96, 4, TRUE, FALSE, FALSE),

	'P651ps' => array(96, 4, TRUE, FALSE, FALSE),

	'R691i' => array(96, 4, TRUE, FALSE, FALSE),

	'F210i' => array(96, 256, TRUE, FALSE, FALSE),
	'N210i' => array(118, 256, TRUE, FALSE, FALSE),
	'P210i' => array(96, 256, TRUE, FALSE, FALSE),
	'KO210i' => array(96, 256, TRUE, FALSE, FALSE),

	'F671i' => array(120, 256, TRUE, FALSE, FALSE),

	/* MOVA i-mode compatible HTML 3.0 */
	'D210i' => array(96, 256, TRUE, FALSE, FALSE),
	'SO210i' => array(120, 256, TRUE, FALSE, FALSE),

	'F503i' => array(120, 256, TRUE, FALSE, FALSE),
	'F503iS' => array(120, 4096, TRUE, FALSE, FALSE),
	'P503i' => array(120, 256, TRUE, FALSE, FALSE),
	'P503iS' => array(120, 256, TRUE, TRUE, FALSE),
	'N503i' => array(120, 4096, TRUE, TRUE, FALSE),
	'N503iS' => array(120, 4096, TRUE, TRUE, FALSE),
	'SO503i' => array(120, 65536, TRUE, FALSE, FALSE),
	'SO503iS' => array(120, 65536, TRUE, FALSE, FALSE),
	'D503i' => array(132, 4096, TRUE, FALSE, FALSE),
	'D503iS' => array(132, 4096, TRUE, FALSE, FALSE),

	'F211i' => array(96, 4096, TRUE, FALSE, FALSE),
	'D211i' => array(100, 4096, TRUE, FALSE, FALSE),
	'N211i' => array(118, 4096, TRUE, TRUE, FALSE),
	'N211iS' => array(118, 4096, TRUE, FALSE, FALSE),
	'P211i' => array(120, 65536, TRUE, FALSE, FALSE),
	'P211iS' => array(120, 65536, TRUE, FALSE, FALSE),
	'SO211i' => array(120, 4096, TRUE, TRUE, FALSE),
	'R211i' => array(96, 4096, TRUE, TRUE, FALSE),

	'SH251i' => array(120, 65536, TRUE, TRUE, FALSE),
	'SH251iS' => array(176, 65536, TRUE, TRUE, FALSE),

	'R692i' => array(96, 4096, TRUE, TRUE, FALSE),

	/* MOVA i-mode compatible HTML 4.0 */
	'D504i' => array(132, 262144, TRUE, TRUE, FALSE),
	'F504i' => array(132, 65536, TRUE, TRUE, FALSE),
	'F504iS' => array(132, 65536, TRUE, TRUE, FALSE),
	'N504i' => array(160, 65536, TRUE, TRUE, FALSE),
	'N504iS' => array(160, 65536, TRUE, TRUE, FALSE),
	'SO504i' => array(120, 65536, TRUE, TRUE, FALSE),
	'P504i' => array(132, 65536, TRUE, TRUE, FALSE),
	'P504iS' => array(132, 65536, TRUE, TRUE, FALSE),

	'D251i' => array(132, 262144, TRUE, TRUE, FALSE),
	'D251iS' => array(132, 262144, TRUE, TRUE, FALSE),
	'F251i' => array(132, 65536, TRUE, TRUE, FALSE),
	'N251i' => array(132, 65536, TRUE, TRUE, FALSE),
	'N251iS' => array(132, 65536, TRUE, TRUE, FALSE),
	'P251iS' => array(132, 65536, TRUE, TRUE, FALSE),

	'F671iS' => array(160, 65536, TRUE, TRUE, FALSE),

	'F212i' => array(132, 65536, TRUE, TRUE, FALSE),
	'SO212i' => array(120, 65536, TRUE, TRUE, FALSE),

	'F661i' => array(132, 65536, TRUE, TRUE, FALSE),

	'F672i' => array(160, 65536, TRUE, TRUE, FALSE),

	'SO213i' => array(120, 65536, TRUE, TRUE, FALSE),
	'SO213iS' => array(120, 65536, TRUE, TRUE, FALSE),
	'SO213iWR' => array(120, 65536, TRUE, TRUE, FALSE),

	/* MOVA i-mode compatible HTML 5.0 */
	'D505i' => array(240, 262144, TRUE, TRUE, FALSE),
	'SO505i' => array(256, 262144, TRUE, TRUE, FALSE),
	'SH505i' => array(240, 262144, TRUE, TRUE, FALSE),
	'SH505i2' => array(240, 262144, TRUE, TRUE, FALSE),
	'N505i' => array(240, 262144, TRUE, TRUE, FALSE),
	'F505i' => array(240, 262144, TRUE, TRUE, FALSE),
	'P505i' => array(240, 65536, TRUE, TRUE, FALSE),
	'D505iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'P505iS' => array(240, 65536, TRUE, TRUE, FALSE),
	'N505iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'SO505iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'SH505iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'F505iGPS' => array(240, 262144, TRUE, TRUE, FALSE),

	'D252i' => array(176, 262144, TRUE, TRUE, FALSE),
	'SH252i' => array(240, 262144, TRUE, TRUE, FALSE),
	'P252i' => array(132, 65536, TRUE, TRUE, FALSE),
	'N252i' => array(132, 65536, TRUE, TRUE, FALSE),
	'P252iS' => array(132, 65536, TRUE, TRUE, FALSE),

	'D506i' => array(240, 262144, TRUE, TRUE, FALSE),
	'F506i' => array(240, 262144, TRUE, TRUE, FALSE),
	'N506i' => array(240, 262144, TRUE, TRUE, FALSE),
	'P506iC' => array(240, 262144, TRUE, TRUE, FALSE),
	'SH506iC' => array(240, 262144, TRUE, TRUE, FALSE),
	'SO506iC' => array(240, 262144, TRUE, TRUE, FALSE),
	'N506iS' => array(240, 262144, TRUE, TRUE, FALSE),
	'SO506i' => array(240, 262144, TRUE, TRUE, FALSE),
	'SO506iS' => array(240, 262144, TRUE, TRUE, FALSE),

	'D253i' => array(176, 262144, TRUE, TRUE, FALSE),
	'N253i' => array(160, 65536, TRUE, TRUE, FALSE),
	'P253i' => array(132, 65536, TRUE, TRUE, FALSE),
	'D253iWM' => array(220, 262144, TRUE, TRUE, FALSE),
	'P253iS' => array(132, 65536, TRUE, TRUE, FALSE),

	'P213i' => array(132, 65536, TRUE, TRUE, FALSE),
);

?>